
_Main_Init:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,79 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,80 :: 		CMCON := 7;            // disable comparators
	MOVLW      7
	MOVWF      CMCON+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,81 :: 		OPTION_REG := 0;
	CLRF       OPTION_REG+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,82 :: 		INTCON.GIE := 1;       // |- enable interrupt
	BSF        INTCON+0, 7
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,83 :: 		INTCON.PEIE := 1;      // |
	BSF        INTCON+0, 6
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,84 :: 		TRISA      := %11100000;
	MOVLW      224
	MOVWF      TRISA+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,85 :: 		TRISB      := %11100010;
	MOVLW      226
	MOVWF      TRISB+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,86 :: 		PORTA      := %00010000;  // clear porta
	MOVLW      16
	MOVWF      PORTA+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,87 :: 		PORTB      := 0;  // clear portb
	CLRF       PORTB+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,88 :: 		T1CON.T1CKPS1 := 1;
	BSF        T1CON+0, 5
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,89 :: 		iRxByteCount := 0;
	CLRF       _iRxByteCount+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,90 :: 		bModeProg := false;
	CLRF       _bModeProg+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,91 :: 		Out_05 := 0;  // open collector, invert state
	BCF        RA4_bit+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,94 :: 		TXSTA.SYNC := 0;    // asynchronous mode
	BCF        TXSTA+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,95 :: 		TXSTA.TX9 := 0;     // 8-bits transmission
	BCF        TXSTA+0, 6
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,96 :: 		TXSTA.TXEN := 1;    // Tx enabled
	BSF        TXSTA+0, 5
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,97 :: 		RCSTA.CREN := 1;    // enable receiving / accept continuous mode
	BSF        RCSTA+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,98 :: 		RCSTA.SPEN := 1;    // Rx enabled;
	BSF        RCSTA+0, 7
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,99 :: 		RCSTA.RX9 := 0;     // 8-bits transmission
	BCF        RCSTA+0, 6
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,100 :: 		PIE1.RCIE := 1;     // enable interrupt for UART Rx
	BSF        PIE1+0, 5
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,102 :: 		UART1_Init(cMidiBaudrate); // speed for MIDI communication
	MOVLW      39
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,104 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Main_Init1:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R12+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R11+0, 1
	GOTO       L__Main_Init1
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,107 :: 		Memset(@ArrRxBuf, 0, cRxBufSize);
	MOVLW      _ArrRxBuf+0
	MOVWF      FARG_memset_p+0
	CLRF       FARG_memset_character+0
	MOVLW      64
	MOVWF      FARG_memset_n+0
	CLRF       FARG_memset_n+1
	CALL       _memset+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,108 :: 		iRxHead     := 0;
	CLRF       _iRxHead+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,109 :: 		iRxTail     := 0;
	CLRF       _iRxTail+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,110 :: 		bRxBufFull  := false ;
	CLRF       _bRxBufFull+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,111 :: 		bRxBufEmpty := true;
	MOVLW      255
	MOVWF      _bRxBufEmpty+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,112 :: 		iCounter    := 0;
	CLRF       _iCounter+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,113 :: 		iMatch      := 2;
	MOVLW      2
	MOVWF      _iMatch+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,114 :: 		end;
L_end_Main_Init:
	RETURN
; end of _Main_Init

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,117 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,119 :: 		if PIR1.RCIF = 1 then
	BTFSS      PIR1+0, 5
	GOTO       L__Interrupt4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,121 :: 		iRxStatus := RCSTA; // Error-handling
	MOVF       RCSTA+0, 0
	MOVWF      _iRxStatus+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,124 :: 		iRxData := RCREG;
	MOVF       RCREG+0, 0
	MOVWF      _iRxData+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,128 :: 		if (iRxStatus and %00000110) = 0 then
	MOVLW      6
	ANDWF      _iRxStatus+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt7
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,130 :: 		if (not bRxBufFull) then       // if buffer full, do nothing
	COMF       _bRxBufFull+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt10
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,133 :: 		if (iRxData <> cMIDI_Active_Sensing) then
	MOVF       _iRxData+0, 0
	XORLW      254
	BTFSC      STATUS+0, 2
	GOTO       L__Interrupt13
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,135 :: 		ArrRxBuf[iRxTail] := iRxData;
	MOVF       _iRxTail+0, 0
	ADDLW      _ArrRxBuf+0
	MOVWF      FSR
	MOVF       _iRxData+0, 0
	MOVWF      INDF+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,136 :: 		Inc(iRxTail);
	INCF       _iRxTail+0, 1
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,137 :: 		if iRxTail > cRxBufSize then // reach buffer end, return to buffer start
	MOVF       _iRxTail+0, 0
	SUBLW      64
	BTFSC      STATUS+0, 0
	GOTO       L__Interrupt16
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,138 :: 		iRxTail := 0;
	CLRF       _iRxTail+0
L__Interrupt16:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,139 :: 		bRxBufEmpty := false;        // flag that some data have been received
	CLRF       _bRxBufEmpty+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,140 :: 		if iRxTail = iRxHead then
	MOVF       _iRxTail+0, 0
	XORWF      _iRxHead+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt19
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,141 :: 		bRxBufFull := true;
	MOVLW      255
	MOVWF      _bRxBufFull+0
L__Interrupt19:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,153 :: 		end;
L__Interrupt13:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,154 :: 		end;
L__Interrupt10:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,155 :: 		end
	GOTO       L__Interrupt8
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,156 :: 		else
L__Interrupt7:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,160 :: 		Clearbit(RCSTA, CREN);
	BCF        RCSTA+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,161 :: 		Setbit(RCSTA, CREN);
	BSF        RCSTA+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,162 :: 		end;
L__Interrupt8:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,163 :: 		end;
L__Interrupt4:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,184 :: 		end;
L_end_Interrupt:
L__Interrupt249:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_Midi_DataReceived:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,187 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,189 :: 		result := (not bRxBufEmpty);
	COMF       _bRxBufEmpty+0, 0
	MOVWF      R1+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,191 :: 		end;
	MOVF       R1+0, 0
	MOVWF      R0+0
L_end_Midi_DataReceived:
	RETURN
; end of _Midi_DataReceived

_Midi_MsgReceived:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,197 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,203 :: 		((ArrRxData[1] and $F0) = cMIDI_Note_On_Ch_1) or
	MOVLW      240
	ANDWF      _ArrRxData+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	XORLW      144
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R2+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,204 :: 		((ArrRxData[1] and $F0) = cMIDI_Note_Off_Ch_1));
	MOVLW      240
	ANDWF      _ArrRxData+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      128
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	IORWF      R2+0, 0
	MOVWF      R1+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,206 :: 		bFullMsgReceived := (iRxByteCount = 3);
	MOVF       _iRxByteCount+0, 0
	XORLW      3
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,208 :: 		result := (bNoteDetected and bFullMsgReceived);
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R3+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,210 :: 		end;
	MOVF       R3+0, 0
	MOVWF      R0+0
L_end_Midi_MsgReceived:
	RETURN
; end of _Midi_MsgReceived

_Midi_RxReadByte:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,216 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,218 :: 		Rk := 0;
	CLRF       Midi_RxReadByte_Rk+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,220 :: 		if bRxBufEmpty = false then
	MOVF       _bRxBufEmpty+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Midi_RxReadByte25
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,223 :: 		Rk := ArrRxBuf[iRxHead];
	MOVF       _iRxHead+0, 0
	ADDLW      _ArrRxBuf+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      Midi_RxReadByte_Rk+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,226 :: 		if bRxEcho then
	MOVF       _bRxEcho+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Midi_RxReadByte28
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,227 :: 		UART1_Write(Rk);
	MOVF       Midi_RxReadByte_Rk+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
L__Midi_RxReadByte28:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,231 :: 		((Rk and $F0) = cMIDI_Note_On_Ch_1) or
	MOVLW      240
	ANDWF      Midi_RxReadByte_Rk+0, 0
	MOVWF      R2+0
	MOVF       R2+0, 0
	XORLW      144
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,232 :: 		((Rk and $F0) = cMIDI_Note_Off_Ch_1));
	MOVF       R2+0, 0
	XORLW      128
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	IORWF      R0+0, 1
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,233 :: 		if bNoteDetected then
	BTFSC      STATUS+0, 2
	GOTO       L__Midi_RxReadByte31
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,235 :: 		iRxByteCount := 1;
	MOVLW      1
	MOVWF      _iRxByteCount+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,236 :: 		ArrRxData[iRxByteCount] := Rk;
	CLRF       R0+0
	MOVF       R0+0, 0
	ADDLW      _ArrRxData+0
	MOVWF      FSR
	MOVF       Midi_RxReadByte_Rk+0, 0
	MOVWF      INDF+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,237 :: 		end
	GOTO       L__Midi_RxReadByte32
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,238 :: 		else
L__Midi_RxReadByte31:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,240 :: 		inc(iRxByteCount);
	INCF       _iRxByteCount+0, 1
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,241 :: 		ArrRxData[iRxByteCount] := Rk;
	DECF       _iRxByteCount+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ADDLW      _ArrRxData+0
	MOVWF      FSR
	MOVF       Midi_RxReadByte_Rk+0, 0
	MOVWF      INDF+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,242 :: 		end;
L__Midi_RxReadByte32:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,244 :: 		ArrRxBuf[iRxHead] := 0; // clear value that has been read (not really needed ?)
	MOVF       _iRxHead+0, 0
	ADDLW      _ArrRxBuf+0
	MOVWF      FSR
	CLRF       INDF+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,245 :: 		inc(iRxHead);
	INCF       _iRxHead+0, 1
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,246 :: 		if iRxHead > cRxBufSize then
	MOVF       _iRxHead+0, 0
	SUBLW      64
	BTFSC      STATUS+0, 0
	GOTO       L__Midi_RxReadByte34
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,247 :: 		iRxHead := 0;
	CLRF       _iRxHead+0
L__Midi_RxReadByte34:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,248 :: 		bRxBufEmpty := (iRxHead = iRxTail); // all received bytes have been read
	MOVF       _iRxHead+0, 0
	XORWF      _iRxTail+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      _bRxBufEmpty+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,250 :: 		end;
L__Midi_RxReadByte25:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,251 :: 		Result := Rk;
	MOVF       Midi_RxReadByte_Rk+0, 0
	MOVWF      Midi_RxReadByte_local_result+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,252 :: 		end;
	MOVF       Midi_RxReadByte_local_result+0, 0
	MOVWF      R0+0
L_end_Midi_RxReadByte:
	RETURN
; end of _Midi_RxReadByte

_Midi_TxNotePlay:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,255 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,256 :: 		UART1_Write(Data1);
	MOVF       FARG_Midi_TxNotePlay_Data1+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,257 :: 		UART1_Write(Data2);
	MOVF       FARG_Midi_TxNotePlay_Data2+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,258 :: 		UART1_Write(Data3);
	MOVF       FARG_Midi_TxNotePlay_Data3+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,259 :: 		end;
L_end_Midi_TxNotePlay:
	RETURN
; end of _Midi_TxNotePlay

_Rx_Reset:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,262 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,263 :: 		for i := 1 to 3 do
	MOVLW      1
	MOVWF      _i+0
L__Rx_Reset39:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,264 :: 		ArrRxData[i] := $00;
	DECF       _i+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ADDLW      _ArrRxData+0
	MOVWF      FSR
	CLRF       INDF+0
	MOVF       _i+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L__Rx_Reset42
	INCF       _i+0, 1
	GOTO       L__Rx_Reset39
L__Rx_Reset42:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,265 :: 		end;
L_end_Rx_Reset:
	RETURN
; end of _Rx_Reset

_Note_Save:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,270 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,271 :: 		if Val < $7F then
	MOVLW      127
	SUBWF      FARG_Note_Save_Val+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__Note_Save45
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,272 :: 		iNoteVal := Val
	MOVF       FARG_Note_Save_Val+0, 0
	MOVWF      Note_Save_iNoteVal+0
	GOTO       L__Note_Save46
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,273 :: 		else
L__Note_Save45:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,276 :: 		0 : iNoteVal := cMIDI_Pitch_base + 0;  // Do3
	MOVF       FARG_Note_Save_idx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Note_Save50
	MOVLW      60
	MOVWF      Note_Save_iNoteVal+0
	GOTO       L__Note_Save47
L__Note_Save50:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,277 :: 		1 : iNoteVal := cMIDI_Pitch_base + 2;  // Re3
	MOVF       FARG_Note_Save_idx+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Note_Save53
	MOVLW      62
	MOVWF      Note_Save_iNoteVal+0
	GOTO       L__Note_Save47
L__Note_Save53:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,278 :: 		2 : iNoteVal := cMIDI_Pitch_base + 4;  // Mi3
	MOVF       FARG_Note_Save_idx+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Note_Save56
	MOVLW      64
	MOVWF      Note_Save_iNoteVal+0
	GOTO       L__Note_Save47
L__Note_Save56:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,279 :: 		3 : iNoteVal := cMIDI_Pitch_base + 5;  // Fa3
	MOVF       FARG_Note_Save_idx+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__Note_Save59
	MOVLW      65
	MOVWF      Note_Save_iNoteVal+0
	GOTO       L__Note_Save47
L__Note_Save59:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,280 :: 		4 : iNoteVal := cMIDI_Pitch_base + 7;  // Sol3
	MOVF       FARG_Note_Save_idx+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Note_Save62
	MOVLW      67
	MOVWF      Note_Save_iNoteVal+0
	GOTO       L__Note_Save47
L__Note_Save62:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,281 :: 		5 : iNoteVal := cMIDI_Pitch_base + 9;  // La3
	MOVF       FARG_Note_Save_idx+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Note_Save65
	MOVLW      69
	MOVWF      Note_Save_iNoteVal+0
	GOTO       L__Note_Save47
L__Note_Save65:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,282 :: 		6 : iNoteVal := cMIDI_Pitch_base + 11; // Si3
	MOVF       FARG_Note_Save_idx+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__Note_Save68
	MOVLW      71
	MOVWF      Note_Save_iNoteVal+0
	GOTO       L__Note_Save47
L__Note_Save68:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,283 :: 		7 : iNoteVal := cMIDI_Pitch_base + 12; // Do4
	MOVF       FARG_Note_Save_idx+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__Note_Save71
	MOVLW      72
	MOVWF      Note_Save_iNoteVal+0
	GOTO       L__Note_Save47
L__Note_Save71:
L__Note_Save47:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,285 :: 		end;
L__Note_Save46:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,286 :: 		ArrNotes[idx] := iNoteVal;
	MOVF       FARG_Note_Save_idx+0, 0
	ADDLW      _ArrNotes+0
	MOVWF      FSR
	MOVF       Note_Save_iNoteVal+0, 0
	MOVWF      INDF+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,287 :: 		EEProm_Write(idx, iNoteVal);
	MOVF       FARG_Note_Save_idx+0, 0
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       Note_Save_iNoteVal+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,288 :: 		end;
L_end_Note_Save:
	RETURN
; end of _Note_Save

_Notes_Load:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,293 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,294 :: 		for idx := 0 to 7 do
	CLRF       Notes_Load_idx+0
L__Notes_Load74:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,296 :: 		if TestBit(PORTA, 5) then  // normal mode, RA5 = 1
	CLRF       R0+0
	BTFSS      PORTA+0, 5
	GOTO       L__Notes_Load81
	MOVLW      1
	MOVWF      R0+0
L__Notes_Load81:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Notes_Load79
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,297 :: 		iNoteVal := EEProm_Read(idx)
	MOVF       Notes_Load_idx+0, 0
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      Notes_Load_iNoteVal+0
	GOTO       L__Notes_Load80
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,298 :: 		else
L__Notes_Load79:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,299 :: 		iNoteVal := $FF; // reset all if needeed (debug purpose)
	MOVLW      255
	MOVWF      Notes_Load_iNoteVal+0
L__Notes_Load80:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,300 :: 		if iNoteVal > $7F then  // $7F (SOL8) = max value allowed for note
	MOVF       Notes_Load_iNoteVal+0, 0
	SUBLW      127
	BTFSC      STATUS+0, 0
	GOTO       L__Notes_Load83
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,303 :: 		0 : iNoteVal := cMIDI_Pitch_base + 0;  // $3C = Do3
	MOVF       Notes_Load_idx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Notes_Load88
	MOVLW      60
	MOVWF      Notes_Load_iNoteVal+0
	GOTO       L__Notes_Load85
L__Notes_Load88:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,304 :: 		1 : iNoteVal := cMIDI_Pitch_base + 2;  // $3E = Re3
	MOVF       Notes_Load_idx+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Notes_Load91
	MOVLW      62
	MOVWF      Notes_Load_iNoteVal+0
	GOTO       L__Notes_Load85
L__Notes_Load91:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,305 :: 		2 : iNoteVal := cMIDI_Pitch_base + 4;  // $40 = Mi3
	MOVF       Notes_Load_idx+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Notes_Load94
	MOVLW      64
	MOVWF      Notes_Load_iNoteVal+0
	GOTO       L__Notes_Load85
L__Notes_Load94:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,306 :: 		3 : iNoteVal := cMIDI_Pitch_base + 5;  // $41 = Fa3
	MOVF       Notes_Load_idx+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__Notes_Load97
	MOVLW      65
	MOVWF      Notes_Load_iNoteVal+0
	GOTO       L__Notes_Load85
L__Notes_Load97:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,307 :: 		4 : iNoteVal := cMIDI_Pitch_base + 7;  // $43 = Sol3
	MOVF       Notes_Load_idx+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Notes_Load100
	MOVLW      67
	MOVWF      Notes_Load_iNoteVal+0
	GOTO       L__Notes_Load85
L__Notes_Load100:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,308 :: 		5 : iNoteVal := cMIDI_Pitch_base + 9;  // $45 = La3
	MOVF       Notes_Load_idx+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Notes_Load103
	MOVLW      69
	MOVWF      Notes_Load_iNoteVal+0
	GOTO       L__Notes_Load85
L__Notes_Load103:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,309 :: 		6 : iNoteVal := cMIDI_Pitch_base + 11; // $47 = Si3
	MOVF       Notes_Load_idx+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__Notes_Load106
	MOVLW      71
	MOVWF      Notes_Load_iNoteVal+0
	GOTO       L__Notes_Load85
L__Notes_Load106:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,310 :: 		7 : iNoteVal := cMIDI_Pitch_base + 12; // $48 = Do4
	MOVF       Notes_Load_idx+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__Notes_Load109
	MOVLW      72
	MOVWF      Notes_Load_iNoteVal+0
	GOTO       L__Notes_Load85
L__Notes_Load109:
L__Notes_Load85:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,312 :: 		EEProm_Write(idx, iNoteVal); // only save if modified
	MOVF       Notes_Load_idx+0, 0
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       Notes_Load_iNoteVal+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,313 :: 		end;
L__Notes_Load83:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,314 :: 		ArrNotes[idx] := iNoteVal;
	MOVF       Notes_Load_idx+0, 0
	ADDLW      _ArrNotes+0
	MOVWF      FSR
	MOVF       Notes_Load_iNoteVal+0, 0
	MOVWF      INDF+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,315 :: 		end;
	MOVF       Notes_Load_idx+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L__Notes_Load77
	INCF       Notes_Load_idx+0, 1
	GOTO       L__Notes_Load74
L__Notes_Load77:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,316 :: 		end;
L_end_Notes_Load:
	RETURN
; end of _Notes_Load

_Init_Disp:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,319 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,322 :: 		bModeProg := (TestBit(PORTA, 5) = 0);
	CLRF       R1+0
	BTFSS      PORTA+0, 5
	GOTO       L__Init_Disp111
	MOVLW      1
	MOVWF      R1+0
L__Init_Disp111:
	MOVF       R1+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _bModeProg+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,323 :: 		if bModeProg then
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Init_Disp113
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,325 :: 		Out_08 := 1;
	BSF        RB4_bit+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,326 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp115:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp115
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp115
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp115
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,327 :: 		Out_08 := 0;
	BCF        RB4_bit+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,328 :: 		Out_07 := 1;
	BSF        RB3_bit+0, 3
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,329 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp116:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp116
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp116
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp116
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,330 :: 		Out_07 := 0;
	BCF        RB3_bit+0, 3
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,331 :: 		Out_06 := 1;
	BSF        RB0_bit+0, 0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,332 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp117:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp117
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp117
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp117
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,333 :: 		Out_06 := 0;
	BCF        RB0_bit+0, 0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,334 :: 		Out_05 := 1;
	BSF        RA4_bit+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,335 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp118:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp118
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp118
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp118
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,336 :: 		Out_05 := 0;
	BCF        RA4_bit+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,337 :: 		Out_04 := 1;
	BSF        RA3_bit+0, 3
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,338 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp119:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp119
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp119
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp119
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,339 :: 		Out_04 := 0;
	BCF        RA3_bit+0, 3
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,340 :: 		Out_03 := 1;
	BSF        RA2_bit+0, 2
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,341 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp120:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp120
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp120
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp120
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,342 :: 		Out_03 := 0;
	BCF        RA2_bit+0, 2
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,343 :: 		Out_02 := 1;
	BSF        RA1_bit+0, 1
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,344 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp121:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp121
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp121
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp121
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,345 :: 		Out_02 := 0;
	BCF        RA1_bit+0, 1
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,346 :: 		Out_01 := 1;
	BSF        RA0_bit+0, 0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,347 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp122:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp122
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp122
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp122
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,348 :: 		Out_01 := 0;
	BCF        RA0_bit+0, 0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,349 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp123:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp123
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp123
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp123
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,350 :: 		end
	GOTO       L__Init_Disp114
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,351 :: 		else
L__Init_Disp113:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,353 :: 		Out_01 := 1;
	BSF        RA0_bit+0, 0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,354 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp124:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp124
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp124
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp124
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,355 :: 		Out_01 := 0;
	BCF        RA0_bit+0, 0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,356 :: 		Out_02 := 1;
	BSF        RA1_bit+0, 1
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,357 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp125:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp125
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp125
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp125
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,358 :: 		Out_02 := 0;
	BCF        RA1_bit+0, 1
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,359 :: 		Out_03 := 1;
	BSF        RA2_bit+0, 2
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,360 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp126:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp126
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp126
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp126
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,361 :: 		Out_03 := 0;
	BCF        RA2_bit+0, 2
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,362 :: 		Out_04 := 1;
	BSF        RA3_bit+0, 3
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,363 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp127:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp127
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp127
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp127
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,364 :: 		Out_04 := 0;
	BCF        RA3_bit+0, 3
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,365 :: 		Out_05 := 1;
	BSF        RA4_bit+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,366 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp128:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp128
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp128
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp128
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,367 :: 		Out_05 := 0;
	BCF        RA4_bit+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,368 :: 		Out_06 := 1;
	BSF        RB0_bit+0, 0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,369 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp129:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp129
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp129
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp129
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,370 :: 		Out_06 := 0;
	BCF        RB0_bit+0, 0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,371 :: 		Out_07 := 1;
	BSF        RB3_bit+0, 3
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,372 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp130:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp130
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp130
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp130
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,373 :: 		Out_07 := 0;
	BCF        RB3_bit+0, 3
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,374 :: 		Out_08 := 1;
	BSF        RB4_bit+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,375 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp131:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp131
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp131
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp131
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,376 :: 		Out_08 := 0;
	BCF        RB4_bit+0, 4
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,377 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Init_Disp132:
	DECFSZ     R13+0, 1
	GOTO       L__Init_Disp132
	DECFSZ     R12+0, 1
	GOTO       L__Init_Disp132
	DECFSZ     R11+0, 1
	GOTO       L__Init_Disp132
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,378 :: 		end;
L__Init_Disp114:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,379 :: 		end;
L_end_Init_Disp:
	RETURN
; end of _Init_Disp

_Main_Welcome:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,382 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,383 :: 		Midi_TxNotePlay(cMIDI_Note_On_Ch_1, cMIDI_Pitch_base, cMIDI_Vel_On);
	MOVLW      144
	MOVWF      FARG_Midi_TxNotePlay_Data1+0
	MOVLW      60
	MOVWF      FARG_Midi_TxNotePlay_Data2+0
	MOVLW      100
	MOVWF      FARG_Midi_TxNotePlay_Data3+0
	CALL       _Midi_TxNotePlay+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,384 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__Main_Welcome134:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Welcome134
	DECFSZ     R12+0, 1
	GOTO       L__Main_Welcome134
	DECFSZ     R11+0, 1
	GOTO       L__Main_Welcome134
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,385 :: 		Midi_TxNotePlay(cMIDI_Note_Off_Ch_1, cMIDI_Pitch_base, cMIDI_Vel_Off);
	MOVLW      128
	MOVWF      FARG_Midi_TxNotePlay_Data1+0
	MOVLW      60
	MOVWF      FARG_Midi_TxNotePlay_Data2+0
	CLRF       FARG_Midi_TxNotePlay_Data3+0
	CALL       _Midi_TxNotePlay+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,386 :: 		Delay_ms(30);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L__Main_Welcome135:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Welcome135
	DECFSZ     R12+0, 1
	GOTO       L__Main_Welcome135
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,387 :: 		end;
L_end_Main_Welcome:
	RETURN
; end of _Main_Welcome

_main:

;electronique_interface_midi_002b_16f628_xtal_ext.mpas,390 :: 		begin
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,391 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,392 :: 		bRxEcho := false;
	CLRF       _bRxEcho+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,395 :: 		Main_Welcome;
	CALL       _Main_Welcome+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,398 :: 		Delay_ms(50);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L__main137:
	DECFSZ     R13+0, 1
	GOTO       L__main137
	DECFSZ     R12+0, 1
	GOTO       L__main137
	DECFSZ     R11+0, 1
	GOTO       L__main137
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,399 :: 		Init_Disp;
	CALL       _Init_Disp+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,402 :: 		Notes_Load;
	CALL       _Notes_Load+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,403 :: 		Delay_ms(30);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L__main138:
	DECFSZ     R13+0, 1
	GOTO       L__main138
	DECFSZ     R12+0, 1
	GOTO       L__main138
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,406 :: 		Rx_Reset;
	CALL       _Rx_Reset+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,407 :: 		iRxByteCount := 0;
	CLRF       _iRxByteCount+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,408 :: 		bProgInProgress := false;
	CLRF       _bProgInProgress+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,410 :: 		while true do
L__main140:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,414 :: 		if Midi_DataReceived then
	CALL       _Midi_DataReceived+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main145
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,418 :: 		Midi_RxReadByte;
	CALL       _Midi_RxReadByte+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,421 :: 		if Midi_MsgReceived then
	CALL       _Midi_MsgReceived+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main148
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,426 :: 		((ArrRxData[1] and $F0) = cMIDI_Note_On_Ch_1) and
	MOVLW      240
	ANDWF      _ArrRxData+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	XORLW      144
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,427 :: 		(ArrRxData[3] > $00));
	MOVF       _ArrRxData+2, 0
	SUBLW      0
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R3+0
	MOVF       R3+0, 0
	MOVWF      _bNoteOn+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,430 :: 		(((ArrRxData[1] and $F0) = cMIDI_Note_On_Ch_1) and
	MOVLW      240
	ANDWF      _ArrRxData+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	XORLW      144
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,431 :: 		(ArrRxData[3] = $00)) or
	MOVF       _ArrRxData+2, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 0
	MOVWF      R2+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,432 :: 		((ArrRxData[1] and $F0) = cMIDI_Note_Off_Ch_1));
	MOVLW      240
	ANDWF      _ArrRxData+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      128
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	IORWF      R2+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _bNoteOff+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,435 :: 		iMidiChannelRx := ArrRxData[1] and $0F;
	MOVLW      15
	ANDWF      _ArrRxData+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _iMidiChannelRx+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,436 :: 		iMidiChannelSet := iMidiChannelRx; // don't compare MIDI Channel
	MOVF       R0+0, 0
	MOVWF      _iMidiChannelSet+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,439 :: 		if ((bNoteOn or bNoteOff) and (iMidiChannelRx = iMidiChannelSet)) then
	MOVF       R3+0, 0
	IORWF      R1+0, 1
	BTFSS      R1+0, 0
	GOTO       L__main151
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,444 :: 		bModeProg := (TestBit(PORTA, 5) = 0);
	CLRF       R1+0
	BTFSS      PORTA+0, 5
	GOTO       L__main153
	MOVLW      1
	MOVWF      R1+0
L__main153:
	MOVF       R1+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _bModeProg+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,447 :: 		if bModeProg then
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main155
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,449 :: 		bProgInProgress := true;
	MOVLW      255
	MOVWF      _bProgInProgress+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,451 :: 		if bNoteOn then   // don't repeat same operation if NoteOff
	MOVF       _bNoteOn+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main158
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,454 :: 		iProgNoteIdx := 0;
	CLRF       _iProgNoteIdx+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,455 :: 		if In_01 = 0 then iProgNoteIdx := iProgNoteIdx + 1;
	BTFSC      RB5_bit+0, 5
	GOTO       L__main161
	INCF       _iProgNoteIdx+0, 1
L__main161:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,456 :: 		if In_02 = 0 then iProgNoteIdx := iProgNoteIdx + 2;
	BTFSC      RB6_bit+0, 6
	GOTO       L__main164
	MOVLW      2
	ADDWF      _iProgNoteIdx+0, 1
L__main164:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,457 :: 		if In_03 = 0 then iProgNoteIdx := iProgNoteIdx + 4;
	BTFSC      RB7_bit+0, 7
	GOTO       L__main167
	MOVLW      4
	ADDWF      _iProgNoteIdx+0, 1
L__main167:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,461 :: 		0 : Out_01 := 1;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main172
	BSF        RA0_bit+0, 0
	GOTO       L__main169
L__main172:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,462 :: 		1 : Out_02 := 1;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main175
	BSF        RA1_bit+0, 1
	GOTO       L__main169
L__main175:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,463 :: 		2 : Out_03 := 1;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main178
	BSF        RA2_bit+0, 2
	GOTO       L__main169
L__main178:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,464 :: 		3 : Out_04 := 1;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main181
	BSF        RA3_bit+0, 3
	GOTO       L__main169
L__main181:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,465 :: 		4 : Out_05 := 1; //0;  // open collector
	MOVF       _iProgNoteIdx+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main184
	BSF        RA4_bit+0, 4
	GOTO       L__main169
L__main184:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,466 :: 		5 : Out_06 := 1;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main187
	BSF        RB0_bit+0, 0
	GOTO       L__main169
L__main187:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,467 :: 		6 : Out_07 := 1;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main190
	BSF        RB3_bit+0, 3
	GOTO       L__main169
L__main190:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,468 :: 		7 : Out_08 := 1;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main193
	BSF        RB4_bit+0, 4
	GOTO       L__main169
L__main193:
L__main169:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,472 :: 		Note_Save(iProgNoteIdx, ArrRxData[2]);
	MOVF       _iProgNoteIdx+0, 0
	MOVWF      FARG_Note_Save_idx+0
	MOVF       _ArrRxData+1, 0
	MOVWF      FARG_Note_Save_Val+0
	CALL       _Note_Save+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,473 :: 		Delay_ms(10);
	MOVLW      65
	MOVWF      R12+0
	MOVLW      238
	MOVWF      R13+0
L__main194:
	DECFSZ     R13+0, 1
	GOTO       L__main194
	DECFSZ     R12+0, 1
	GOTO       L__main194
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,476 :: 		Midi_TxNotePlay(cMIDI_Note_On_Ch_1, ArrRxData[2], cMIDI_Vel_On);
	MOVLW      144
	MOVWF      FARG_Midi_TxNotePlay_Data1+0
	MOVF       _ArrRxData+1, 0
	MOVWF      FARG_Midi_TxNotePlay_Data2+0
	MOVLW      100
	MOVWF      FARG_Midi_TxNotePlay_Data3+0
	CALL       _Midi_TxNotePlay+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,477 :: 		Delay_ms(300);
	MOVLW      8
	MOVWF      R11+0
	MOVLW      157
	MOVWF      R12+0
	MOVLW      5
	MOVWF      R13+0
L__main195:
	DECFSZ     R13+0, 1
	GOTO       L__main195
	DECFSZ     R12+0, 1
	GOTO       L__main195
	DECFSZ     R11+0, 1
	GOTO       L__main195
	NOP
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,478 :: 		Midi_TxNotePlay(cMIDI_Note_Off_Ch_1, ArrRxData[2], cMIDI_Vel_Off);
	MOVLW      128
	MOVWF      FARG_Midi_TxNotePlay_Data1+0
	MOVF       _ArrRxData+1, 0
	MOVWF      FARG_Midi_TxNotePlay_Data2+0
	CLRF       FARG_Midi_TxNotePlay_Data3+0
	CALL       _Midi_TxNotePlay+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,479 :: 		Delay_ms(10);
	MOVLW      65
	MOVWF      R12+0
	MOVLW      238
	MOVWF      R13+0
L__main196:
	DECFSZ     R13+0, 1
	GOTO       L__main196
	DECFSZ     R12+0, 1
	GOTO       L__main196
	NOP
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,483 :: 		0 : Out_01 := 0;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main200
	BCF        RA0_bit+0, 0
	GOTO       L__main197
L__main200:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,484 :: 		1 : Out_02 := 0;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main203
	BCF        RA1_bit+0, 1
	GOTO       L__main197
L__main203:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,485 :: 		2 : Out_03 := 0;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main206
	BCF        RA2_bit+0, 2
	GOTO       L__main197
L__main206:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,486 :: 		3 : Out_04 := 0;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main209
	BCF        RA3_bit+0, 3
	GOTO       L__main197
L__main209:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,487 :: 		4 : Out_05 := 0; //1;  // open collector
	MOVF       _iProgNoteIdx+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main212
	BCF        RA4_bit+0, 4
	GOTO       L__main197
L__main212:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,488 :: 		5 : Out_06 := 0;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main215
	BCF        RB0_bit+0, 0
	GOTO       L__main197
L__main215:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,489 :: 		6 : Out_07 := 0;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main218
	BCF        RB3_bit+0, 3
	GOTO       L__main197
L__main218:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,490 :: 		7 : Out_08 := 0;
	MOVF       _iProgNoteIdx+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main221
	BCF        RB4_bit+0, 4
	GOTO       L__main197
L__main221:
L__main197:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,492 :: 		end;
L__main158:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,494 :: 		bProgInProgress := false;
	CLRF       _bProgInProgress+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,495 :: 		end
	GOTO       L__main156
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,496 :: 		else
L__main155:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,500 :: 		bProgInProgress := false;
	CLRF       _bProgInProgress+0
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,514 :: 		ArrNotes[0] : Out_01 := bNoteOn;  // Do3 by default
	MOVF       _ArrRxData+1, 0
	XORWF      _ArrNotes+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main225
	BTFSC      _bNoteOn+0, 0
	GOTO       L__main260
	BCF        RA0_bit+0, 0
	GOTO       L__main261
L__main260:
	BSF        RA0_bit+0, 0
L__main261:
	GOTO       L__main222
L__main225:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,515 :: 		ArrNotes[1] : Out_02 := bNoteOn;  // Re3 by default
	MOVF       _ArrRxData+1, 0
	XORWF      _ArrNotes+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main228
	BTFSC      _bNoteOn+0, 0
	GOTO       L__main262
	BCF        RA1_bit+0, 1
	GOTO       L__main263
L__main262:
	BSF        RA1_bit+0, 1
L__main263:
	GOTO       L__main222
L__main228:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,516 :: 		ArrNotes[2] : Out_03 := bNoteOn;  // Mi3 by default
	MOVF       _ArrRxData+1, 0
	XORWF      _ArrNotes+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main231
	BTFSC      _bNoteOn+0, 0
	GOTO       L__main264
	BCF        RA2_bit+0, 2
	GOTO       L__main265
L__main264:
	BSF        RA2_bit+0, 2
L__main265:
	GOTO       L__main222
L__main231:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,517 :: 		ArrNotes[3] : Out_04 := bNoteOn;  // Fa3 by default
	MOVF       _ArrRxData+1, 0
	XORWF      _ArrNotes+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main234
	BTFSC      _bNoteOn+0, 0
	GOTO       L__main266
	BCF        RA3_bit+0, 3
	GOTO       L__main267
L__main266:
	BSF        RA3_bit+0, 3
L__main267:
	GOTO       L__main222
L__main234:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,518 :: 		ArrNotes[4] : Out_05 := bNoteOn {xor 1};  // Sol3 by default
	MOVF       _ArrRxData+1, 0
	XORWF      _ArrNotes+4, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main237
	BTFSC      _bNoteOn+0, 0
	GOTO       L__main268
	BCF        RA4_bit+0, 4
	GOTO       L__main269
L__main268:
	BSF        RA4_bit+0, 4
L__main269:
	GOTO       L__main222
L__main237:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,519 :: 		ArrNotes[5] : Out_06 := bNoteOn;  // La3 by default
	MOVF       _ArrRxData+1, 0
	XORWF      _ArrNotes+5, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main240
	BTFSC      _bNoteOn+0, 0
	GOTO       L__main270
	BCF        RB0_bit+0, 0
	GOTO       L__main271
L__main270:
	BSF        RB0_bit+0, 0
L__main271:
	GOTO       L__main222
L__main240:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,520 :: 		ArrNotes[6] : Out_07 := bNoteOn;  // Si3 by default
	MOVF       _ArrRxData+1, 0
	XORWF      _ArrNotes+6, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main243
	BTFSC      _bNoteOn+0, 0
	GOTO       L__main272
	BCF        RB3_bit+0, 3
	GOTO       L__main273
L__main272:
	BSF        RB3_bit+0, 3
L__main273:
	GOTO       L__main222
L__main243:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,521 :: 		ArrNotes[7] : Out_08 := bNoteOn;  // Do4 by default
	MOVF       _ArrRxData+1, 0
	XORWF      _ArrNotes+7, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main246
	BTFSC      _bNoteOn+0, 0
	GOTO       L__main274
	BCF        RB4_bit+0, 4
	GOTO       L__main275
L__main274:
	BSF        RB4_bit+0, 4
L__main275:
	GOTO       L__main222
L__main246:
L__main222:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,523 :: 		end;
L__main156:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,524 :: 		end;
L__main151:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,525 :: 		end;
L__main148:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,526 :: 		end;
L__main145:
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,528 :: 		end;
	GOTO       L__main140
;electronique_interface_midi_002b_16f628_xtal_ext.mpas,530 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
